// src/components/common/imageFallback.ts

export function handleImageFallback(selector: string, fallbackImageUrl: string) {
  // Le decimos a TypeScript que el resultado será una lista de elementos de imagen HTML
  const images: NodeListOf<HTMLImageElement> = document.querySelectorAll(selector);

  images.forEach(img => {
    // Ahora que 'img' es de tipo HTMLImageElement, TypeScript sabe que 'onerror' y 'src' son válidos.
    img.onerror = () => {
      img.src = fallbackImageUrl;
    };
  });
}